routes/admin.php
<?php
use App\Http\Controllers\Auth\AuthenticatedSessionController;
use Illuminate\Support\Facades\Route;



Route::get('dashboard', 'AuthController@showLoginForm')->name('admin.login');
Route::post('dashboard', 'AuthController@login');


Route::post('admin/logout', [AuthenticatedSessionController::class, 'destroy'])
    ->middleware('auth:admin')
    ->name('admin.logout');

Route::group(['prefix' => 'dashboard', 'middleware' =>['auth:admin','admin'], 'as' => 'admin.'], function () {

    Route::get('/main', 'DashboardController@index')->name('main');
    Route::resource('roles', 'RoleController');
    Route::resource('admins', 'AdminController');
    Route::resource('users', 'UserController');
    Route::resource('services', 'ServiceController');
    Route::resource('blogs', 'BlogController');
    Route::resource('settings', 'SettingController');
    Route::resource('partners', 'PartnerController');
    Route::resource('testimonials', 'TestimonialController');
    Route::resource('guest-messages', 'GuestMessageController');
    Route::resource('site-forms', 'SiteFormController');
    Route::resource('mail-lists', 'MailListController');
    Route::resource('home-text', 'HomeTextController');


    Route::post('active/{id}/role', 'RoleController@active')->name('active.role');
    Route::post('active/{id}/{type}', 'DashboardController@active')->name('active');

});



require __DIR__.'/auth.php';

routes/web.php
<?php

use App\Http\Controllers\Site\AuthController;
use App\Http\Controllers\Site\HomeController;
use Illuminate\Support\Facades\Route;

Route::group(['middleware'=>'checkBanned','as' => 'site.'], function () {
    Route::get('/', [HomeController::class, 'index'])->name('home');
    Route::get('/about', [HomeController::class, 'about'])->name('about');
    Route::get('/services', [HomeController::class, 'services'])->name('services');
    Route::get('/blog', [HomeController::class, 'blog'])->name('blog');
    Route::get('/single-blog/{id}', [HomeController::class, 'singleBlog'])->name('singleBlog');
    Route::get('/contact', [HomeController::class, 'contact'])->name('contact');
    Route::post('/contact', [HomeController::class, 'postContact'])->name('postContact');
    Route::post('/subscribe', [HomeController::class, 'subscribe'])->name('subscribe');


    Route::get('forget', [AuthController::class, 'resetForm'])->name('resetForm');
    Route::get('send-code', [AuthController::class, 'sendCode'])->name('sendCode');
    Route::post('/change-password', [AuthController::class, 'changePassword'])->name('changePassword');

    Route::get('/form', [HomeController::class, 'form'])->name('form');
    Route::post('/form', [HomeController::class, 'sendForm'])->name('send_form');
    Route::get('/page_image', [HomeController::class, 'page_image'])->name('page_image');
    Route::get('/alhadina', [HomeController::class, 'alhadina'])->name('alhadina');


});

//require __DIR__.'/auth.php';

app/Models/HomeText.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HomeText extends Model
{
    use HasFactory;
    protected $guarded = [];

}

app/Http/Controllers/Admin/DashboardController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function index()
    {
        return view('dashboard.layouts.main');
    }


    public function active($id, $className)
    {
        $baseClass = 'App\Models\\' . $className;
        $model = $baseClass::findOrFail($id);
        $model->update(['is_active' => !$model->is_active]);

        return back()->with('success', __('تم التحديث بنجاح'));
    }
}

app/Http/Controllers/Admin/HomeTextController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\HomeText;
use Illuminate\Http\Request;

class HomeTextController extends Controller
{
    public function __construct()
    {
        $this->middleware('permission:Settings');
    }


    public function index()
    {
        $texts = HomeText::latest()->get();
        return view('dashboard.home-text.index', compact('texts'));
    }


    public function create()
    {
        return view('dashboard.home-text.create');
    }


    public function store(Request $request)
    {
        $validator = $request->validate(['name' => 'required']);
        HomeText::create($validator);
        return redirect(route('admin.home-text.index'))->with('success', 'تم الاضافة بنجاح');
    }


    public function destroy($id)
    {
        $text = HomeText::findOrFail($id);
        $text->delete();
        return 'Done';
    }
}

resources/views/dashboard/home-text/create.blade.php
@extends('dashboard.layouts.layout')
@section('title',' اضافة كلمة جديدة ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.home-text.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        نص هل تسعى الى </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            <h4 class="header-title m-t-0 m-b-30"> اضافة كلمة </h4>

                            <form class="form-horizontal" role="form" method="post" action="{{route('admin.home-text.store')}}">
                                @csrf
                                <div class="form-group row">
                                    <label class="col-md-2 control-label">الاسم</label>
                                    <div class="col-md-4">
                                        <input type="text"
                                               class="form-control  {{$errors->has('name') ? ' is-invalid' : null}}"
                                               name="name" value="{{old('name')}}"
                                               placeholder="الاسم">
                                        @error('name')
                                        <div class="invalid-feedback" style="color: #ef1010">
                                            {{ $message }}
                                        </div>
                                        @enderror
                                    </div>
                                </div>

                                <div class="text-center form-group row">
                                    <button type="submit"
                                            class="btn btn-success btn-block waves-effect waves-light m-l-10 btn-md"> حفظ
                                    </button>
                                </div>

                            </form>
                        </div>
                    </div><!-- end col -->
                </div>
            </div>
        </div><!-- end col -->
    </div>

@endsection

resources/views/dashboard/home-text/index.blade.php
@extends('dashboard.layouts.layout')
@section('title','نص مرحبا هل تسعى الى    ')

@section('content')

    <div class="row">
        <div class="col-lg-12">
            <div class="card-box">

                <div class="breadcrumb">
                    <a href="{{route('admin.main')}}" class="header-title m-t-0 m-b-30"><i class="icon-home2 mr-2"></i>
                        الرئيسية</a> /
                    <a href="{{route('admin.settings.index')}}" class="header-title m-t-0 m-b-30"><i
                            class="icon-home2 mr-2"></i>
                        الاعدادات </a> /
                    <span class="breadcrumb-item active">@yield('title')</span>
                </div>

                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box table-responsive">
                            @include('dashboard.layouts.status')
                            <a href="{{route('admin.home-text.create')}}"
                               class="btn btn-purple btn-rounded w-md waves-effect waves-light m-b-5">اضافة كلمة جديدة
                            </a>
                            <br>
                            <br>
                            <table id="datatable-keytable" class="table table-striped table-bordered text-center">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>الاسم </th>
                                    <th>العمليات</th>
                                </tr>
                                </thead>

                                <tbody>
                                @foreach($texts as $index => $text)
                                    <tr>
                                        <td>{{$index +1}}</td>
                                        <td>{{$text->name}}</td>

                                        <td class="text-center">
                                            <button data-url="{{route('admin.home-text.destroy',$text->id)}}"
                                                    class="btn-icon waves-effect btn btn-danger rounded-circle btn-sm ml-2 delete" title="Delete">
                                                <i class="fa fa-trash"></i>
                                            </button>
                                        </td>
                                    </tr>
                                @endforeach


                                </tbody>
                            </table>
                        </div>
                    </div><!-- end col -->
                </div>

            </div>
        </div><!-- end col -->
    </div>

@endsection